## linux-apfs-rw 0+git20220214+ds

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
# Makefile for the out-of-tree Linux APFS module.
#

KERNELRELEASE ?= $(shell uname -r)
KERNEL_DIR    ?= /lib/modules/$(KERNELRELEASE)/build
PWD           := $(shell pwd)

obj-m = apfs.o
apfs-y := btree.o compress.o dir.o extents.o file.o inode.o key.o message.o \
	  namei.o node.o object.o spaceman.o super.o symlink.o transaction.o \
	  unicode.o xattr.o xfield.o

default:
	make -C $(KERNEL_DIR) M=$(PWD)
install:
	make -C $(KERNEL_DIR) M=$(PWD) modules_install
clean:
	make -C $(KERNEL_DIR) M=$(PWD) clean

=== debian/changelog ===
linux-apfs-rw (0+git20220214+ds-1) unstable; urgency=medium

  * Initial release (Closes: #995243)

 -- Gürkan Myczko <tar@debian.org>  Mon, 14 Feb 2022 10:24:30 +0100

=== debian/control ===
Source: linux-apfs-rw
Section: kernel
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), dkms
Standards-Version: 4.6.0
Homepage: https://github.com/linux-apfs/linux-apfs-rw
#Vcs-Browser: https://salsa.debian.org/debian/linux-apfs-rw
#Vcs-Git: https://salsa.debian.org/debian/linux-apfs-rw.git
Rules-Requires-Root: no

Package: apfs-dkms
Architecture: all
Depends: ${misc:Depends}
Description: APFS module for linux, with experimental write support
 The Apple File System (APFS) is the copy-on-write filesystem currently used on
 all Apple devices. This module provides a degree of experimental support on
 Linux.
 .
 It's supposed to work with a range of kernel versions starting at 4.9 or
 before, but only a few of those have actually been tested.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

pdkms:=apfs-dkms
sname:=linux-apfs-rw
#$(shell dpkg-parsechangelog --show-field=Version|rev|cut -d- -f2-|rev)

%:
	dh $@ --with dkms

override_dh_auto_clean:
	@echo CLEAN

override_dh_auto_build:
	@echo NO BUILD

override_dh_auto_install:
	@echo NO AUTO INSTALL

override_dh_dkms:
	dh_install Makefile *.c *.h usr/src/$(sname)-$(DEB_VERSION)
	chmod 0644 debian/$(pdkms)/usr/src/$(sname)-$(DEB_VERSION)/*
	dh_dkms -V $(DEB_VERSION)

## linux-apfs-rw 0+git20220815+ds

=== debian/changelog ===
linux-apfs-rw (0+git20220815+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1016770)

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Aug 2022 16:00:08 +0200

linux-apfs-rw (0+git20220214+ds-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Thu, 03 Mar 2022 10:13:58 +0100

## linux-apfs-rw 0+git20221028+ds

=== debian/changelog ===
linux-apfs-rw (0+git20221028+ds-2ubuntu1) lunar; urgency=medium

  * Merge from Debian, remaining changes:
    - Fix u64 math without using
    -lgcc. https://github.com/linux-apfs/linux-apfs-rw/pull/35

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 16 Jan 2023 11:47:45 +0000

linux-apfs-rw (0+git20221028+ds-2) unstable; urgency=medium

  * d/control:
    - switch from dkms to dh-sequence-dkms. (Closes: #1027880)
    - add Testsuite.

 -- Gürkan Myczko <tar@debian.org>  Fri, 06 Jan 2023 15:20:32 +0100

linux-apfs-rw (0+git20221028+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 28 Oct 2022 15:46:33 +0200

linux-apfs-rw (0+git20220214+ds-2ubuntu2) kinetic; urgency=medium

  * Fix u64 math without using -lgcc.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 24 Aug 2022 11:56:29 +0100

linux-apfs-rw (0+git20220214+ds-2ubuntu1) kinetic; urgency=medium

  * Support Linux 5.19 (LP: #1982115):
    - debian/patches/0001-Linux-5.19-support-new-fs-ops.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 19 Jul 2022 14:03:08 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #$(shell dpkg-parsechangelog --show-field=Version|rev|cut -d- -f2-|rev)
 
 %:
-	dh $@ --with dkms
+	dh $@
 
 override_dh_auto_clean:
 	@echo CLEAN

## linux-apfs-rw 0+git20230118+ds

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 obj-m = apfs.o
 apfs-y := btree.o compress.o dir.o extents.o file.o inode.o key.o message.o \
-	  namei.o node.o object.o spaceman.o super.o symlink.o transaction.o \
-	  unicode.o xattr.o xfield.o
+	  namei.o node.o object.o snapshot.o spaceman.o super.o symlink.o \
+	  transaction.o unicode.o xattr.o xfield.o
 
 default:
 	make -C $(KERNEL_DIR) M=$(PWD)

=== debian/changelog ===
linux-apfs-rw (0+git20230118+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1029115)
  * d/copyright:
    - bump years.
    - fix short license specifier.

 -- Gürkan Myczko <tar@debian.org>  Wed, 18 Jan 2023 07:38:53 +0100

## linux-apfs-rw 0.3.0

=== debian/changelog ===
linux-apfs-rw (0.3.0-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: add license for LZFSE.
  * d/rules: also copy directory for module.

 -- Gürkan Myczko <tar@debian.org>  Thu, 02 Feb 2023 12:34:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: kernel
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), dkms
+Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.6.0
 Homepage: https://github.com/linux-apfs/linux-apfs-rw
+Testsuite: autopkgtest-pkg-dkms
 #Vcs-Browser: https://salsa.debian.org/debian/linux-apfs-rw
 #Vcs-Git: https://salsa.debian.org/debian/linux-apfs-rw.git
 Rules-Requires-Root: no

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/linux-apfs/linux-apfs-rw/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## linux-apfs-rw 0.3.2

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,10 @@
 PWD           := $(shell pwd)
 
 obj-m = apfs.o
-apfs-y := btree.o compress.o dir.o extents.o file.o inode.o key.o message.o \
-	  namei.o node.o object.o snapshot.o spaceman.o super.o symlink.o \
-	  transaction.o unicode.o xattr.o xfield.o
+apfs-y := btree.o compress.o dir.o extents.o file.o inode.o key.o libzbitmap.o \
+	  lzfse/lzfse_decode.o lzfse/lzfse_decode_base.o lzfse/lzfse_fse.o \
+	  lzfse/lzvn_decode_base.o message.o namei.o node.o object.o snapshot.o \
+	  spaceman.o super.o symlink.o transaction.o unicode.o xattr.o xfield.o
 
 default:
 	make -C $(KERNEL_DIR) M=$(PWD)

=== debian/changelog ===
linux-apfs-rw (0.3.2-0ubuntu6.1) noble; urgency=medium

  * Support linux 6.14 (LP: #2110915)
    - debian/patches/0007-Switch-write_begin-and-write_end-to-folios.patch
    - debian/patches/0008-Update-apfs_dentry_revalidate-arguments-for-6.14.patch

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 15 May 2025 12:37:53 -0500

linux-apfs-rw (0.3.2-0ubuntu6) noble; urgency=medium

  * Support linux 6.11 (LP: #2090930):
    - debian/patches/0006-Support-for-kernel-6.11.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 03 Dec 2024 14:55:52 +0100

linux-apfs-rw (0.3.2-0ubuntu5) noble; urgency=medium

  * Support linux 6.8 (LP: #2054682):
    - debian/patches/0005-Support-for-kernel-6.8.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 22 Feb 2024 12:59:41 +0000

linux-apfs-rw (0.3.2-0ubuntu4) noble; urgency=medium

  * Support linux 6.7 (LP: #2045777):
    - debian/patches/0004-Support-for-kernel-6.7.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 06 Dec 2023 15:50:54 +0000

linux-apfs-rw (0.3.2-0ubuntu3) noble; urgency=medium

  * debian/patches/0003-Fix-for-the-kernel-6.6-build-errors.patch:
    - Fix Linux 6.5 (LP: #2040499)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 25 Oct 2023 13:32:35 +0000

linux-apfs-rw (0.3.2-0ubuntu2) mantic; urgency=medium

  * debian/patches/0001-linux-6.5-substitute-strcpy-with-strscpy.patch,
    debian/patches/0002-linux-6.5-fix-blkdev_get_by_path-holder-and-superblo.patch:
    - Fix Linux 6.5 (LP: #2029217)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 01 Aug 2023 09:50:01 +0000

linux-apfs-rw (0.3.2-0ubuntu1) mantic; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 24 May 2023 22:36:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: linux-apfs-rw
 Section: kernel
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.6.0
 Homepage: https://github.com/linux-apfs/linux-apfs-rw

## linux-apfs-rw 0.3.10

=== debian/changelog ===
linux-apfs-rw (0.3.10-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 18 Jul 2024 07:24:24 +0000

linux-apfs-rw (0.3.9-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 13 May 2024 15:10:35 +0200

linux-apfs-rw (0.3.7-2) unstable; urgency=medium

  * Team upload.
  * Overhaul package installation.
  * Drop Debian revision from dkms module version.
  * Use upstream dkms.conf and ship genver.sh. (Closes: #1060898)
  * Fix module build for Linux 4.18.13..4.19~ since discard_new_inode() was
    backported.
  * Set BUILD_EXCLUSIVE_KERNEL_MIN="4.13" for kmemdup_nul() usage.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Feb 2024 01:06:23 +0100

linux-apfs-rw (0.3.7-1) unstable; urgency=medium

  * New upstream version. (Closes: #1060898)

 -- Gürkan Myczko <tar@debian.org>  Sun, 21 Jan 2024 17:29:59 +0100

linux-apfs-rw (0.3.6-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/control: Vcs fields, move to Debian Bananas team.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Mon, 08 Jan 2024 08:29:22 +0100

linux-apfs-rw (0.3.5-1) unstable; urgency=medium

  * New upstream version. (Closes: #1043112)

 -- Gürkan Myczko <tar@debian.org>  Tue, 31 Oct 2023 19:30:14 +0100

linux-apfs-rw (0.3.3+git20230810+ds-1) unstable; urgency=medium

  * New upstream version. (Closes: #1043112)

 -- Gürkan Myczko <tar@debian.org>  Thu, 10 Aug 2023 00:19:19 +0200

linux-apfs-rw (0.3.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 19:54:33 +0200

linux-apfs-rw (0.3.3-1) experimental; urgency=medium

  * New upstream version.
  * d/control: enable Vcs fields.

 -- Gürkan Myczko <tar@debian.org>  Fri, 26 May 2023 11:39:29 +0200

linux-apfs-rw (0.3.2-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 May 2023 10:49:50 +0200

linux-apfs-rw (0.3.1-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 24 Mar 2023 15:23:23 +0100

## linux-apfs-rw 0.3.11

=== debian/changelog ===
linux-apfs-rw (0.3.11-1~mx23) mx; urgency=medium

  * Backport for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 29 Oct 2024 18:19:16 +0000

linux-apfs-rw (0.3.11-1) unstable; urgency=medium

  * New upstream version. (Closes: #1081370)

 -- Alex Myczko <tar@debian.org>  Thu, 19 Sep 2024 08:35:16 +0000

=== debian/control ===
Source: linux-apfs-rw
Section: kernel
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.7.0
Homepage: https://github.com/linux-apfs/linux-apfs-rw
Testsuite: autopkgtest-pkg-dkms
Vcs-Browser: https://salsa.debian.org/bananas-team/linux-apfs-rw
Vcs-Git: https://salsa.debian.org/bananas-team/linux-apfs-rw.git
Rules-Requires-Root: no

Package: apfs-dkms
Architecture: all
Depends: ${misc:Depends}
Description: APFS module for Linux, with experimental write support
 The Apple File System (APFS) is the copy-on-write filesystem currently used on
 all Apple devices. This module provides a degree of experimental support on
 Linux.
 .
 It's supposed to work with a range of kernel versions starting at 4.9 or
 before, but only a few of those have actually been tested.

## linux-apfs-rw 0.3.12

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,10 @@
 	  spaceman.o super.o symlink.o transaction.o unicode.o xattr.o xfield.o
 
 default:
+	./genver.sh
 	make -C $(KERNEL_DIR) M=$(PWD)
 install:
 	make -C $(KERNEL_DIR) M=$(PWD) modules_install
 clean:
+	rm -f version.h
 	make -C $(KERNEL_DIR) M=$(PWD) clean

=== debian/changelog ===
linux-apfs-rw (0.3.12-1ubuntu1) plucky; urgency=medium

  * Support Linux 6.14 (LP: #2100584)
    - 0001-Update-apfs_dentry_revalidate-arguments-for-6.14.patch
  * Change maintainer to Ubuntu Developers

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Fri, 28 Feb 2025 10:58:25 +0100

linux-apfs-rw (0.3.12-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 04 Nov 2024 09:49:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: linux-apfs-rw
 Section: kernel
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.7.0

## linux-apfs-rw 0.3.13

=== debian/changelog ===
linux-apfs-rw (0.3.13-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 28 Mar 2025 08:14:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: linux-apfs-rw
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alex Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.7.0
 Homepage: https://github.com/linux-apfs/linux-apfs-rw

## linux-apfs-rw 0.3.14

=== debian/changelog ===
linux-apfs-rw (0.3.14-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Mon, 07 Jul 2025 09:39:36 +0000

## linux-apfs-rw 0.3.15

=== debian/changelog ===
linux-apfs-rw (0.3.15-1) unstable; urgency=medium

  * New upstream version. (Closes: #1106706, #1101156, #1112184)

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:57:46 -0500

## linux-apfs-rw 0.3.16

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,11 @@
 	  lzfse/lzvn_decode_base.o message.o namei.o node.o object.o snapshot.o \
 	  spaceman.o super.o symlink.o transaction.o unicode.o xattr.o xfield.o
 
+# If you want mounts to be writable by default, run the build as:
+#   make CONFIG=-DCONFIG_APFS_RW_ALWAYS
+# This is risky and not generally recommended.
+ccflags-y += $(CONFIG)
+
 default:
 	./genver.sh
 	make -C $(KERNEL_DIR) M=$(PWD)

=== debian/changelog ===
linux-apfs-rw (0.3.16-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 29 Sep 2025 10:45:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linux-apfs/linux-apfs-rw
 Testsuite: autopkgtest-pkg-dkms
 Vcs-Browser: https://salsa.debian.org/bananas-team/linux-apfs-rw

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:

override_dh_auto_install:

## linux-apfs-rw 0.3.17

=== debian/changelog ===
linux-apfs-rw (0.3.17-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - add to Debian Bananas Team.
    - drop Rules-Requires-Root.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Nov 2025 08:08:27 +0100

## linux-apfs-rw 0.3.17%2Bgit20260125%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: linux-apfs-rw
 Section: kernel
 Priority: optional
-Maintainer: Alex Myczko <tar@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
+Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-dkms
 Standards-Version: 4.7.2
 Homepage: https://github.com/linux-apfs/linux-apfs-rw
 Testsuite: autopkgtest-pkg-dkms
 Vcs-Browser: https://salsa.debian.org/bananas-team/linux-apfs-rw
 Vcs-Git: https://salsa.debian.org/bananas-team/linux-apfs-rw.git
-Rules-Requires-Root: no
 
 Package: apfs-dkms
 Architecture: all

## linux-apfs-rw 0.3.17+git20260125+ds

=== debian/changelog ===
linux-apfs-rw (0.3.17+git20260125+ds-2) experimental; urgency=medium

  * d/dkms: use debian/dkms.conf. (Closes: #1126516)

 -- Alex Myczko <tar@debian.org>  Sat, 31 Jan 2026 06:12:25 +0100

linux-apfs-rw (0.3.17+git20260125+ds-1) experimental; urgency=medium

  * New upstream version. (Closes: #1125921)
  * d/watch: update to version 5.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sun, 25 Jan 2026 22:12:45 +0100

## linux-apfs-rw 0.3.18

=== debian/changelog ===
linux-apfs-rw (0.3.18-2ubuntu1) resolute; urgency=medium

  * Add support to kernel 7.0 fs new mount APIs (LP: #2142837)
    - debian/patches/add_kernel_7_new_fs_mount_api_support.patch

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 27 Feb 2026 13:51:07 +0100

linux-apfs-rw (0.3.18-2) unstable; urgency=medium

  * d/control: add lld to Depends. (Closes: #1127862)

 -- Alex Myczko <tar@debian.org>  Sun, 15 Feb 2026 06:11:21 +0000

linux-apfs-rw (0.3.18-1) experimental; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Sun, 01 Feb 2026 12:50:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: linux-apfs-rw
 Section: kernel
 Priority: optional
-Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
